%define anolis_release 2

Name:           python-pytest-datadir
Version:        1.4.1
Release:        %{anolis_release}%{?dist}
Summary:        Pytest plugin for test data directories and files
License:        MIT
URL:            https://github.com/gabrielcnr/pytest-datadir
Source0:        %{url}/archive/%{version}/pytest-datadir-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist tox}
BuildRequires:  %{py3_dist tox-current-env}
BuildRequires:  %{py3_dist wheel}

%global _desc %{expand:
This package contains a pytest plugin for manipulating test data
directories and files.}

%description %_desc

%package     -n python3-pytest-datadir
Summary:        %{summary}

%description -n python3-pytest-datadir %_desc

%prep
%autosetup -n pytest-datadir-%{version}

# Do not attempt to use git to determine the version
sed -i "s/use_scm_version.*/version='%{version}',/;/setuptools_scm/d" setup.py
cat > src/pytest_datadir/_version.py << EOF
version='%{version}'
EOF

%build
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html

%install
%pyproject_install
%pyproject_save_files pytest_datadir

%check
%tox

%files -n python3-pytest-datadir -f %{pyproject_files}

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.4.1-2
- Rebuild with python3.11

* Wed May 03 2023 Funda Wang <fundawang@yeah.net> - 1.4.1-2
- Import package for anolis 23
